### Method

# FwupdPlugin Archive write

since: 1.8.1

#### Declaration [src]

    GByteArray*
    fu_archive_write (
      FuArchive* self,
      FuArchiveFormat format,
      FuArchiveCompression compression,
      GError** error
    )

#### Description [src]

Writes an archive with specified `format` and `compression`.

Available since: 1.8.1

#### Parameters

`format`

  Type: `FuArchiveFormat`

  A compression, e.g. `FU_ARCHIVE_FORMAT_ZIP`.

`compression`

  Type: `FuArchiveCompression`

  A compression, e.g. `FU_ARCHIVE_COMPRESSION_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

The archive blob.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.